Name:     jnr-ffi
Version:  2.1.8
Release:  %mkrel 4
Group:    Development/Java
Summary:  Java Abstracted Foreign Function Layer
License:  ASL 2.0
URL:      http://github.com/jnr/%{name}/
Source0:  https://github.com/jnr/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  maven-local
BuildRequires:  mvn(com.github.jnr:jffi)
BuildRequires:  mvn(com.github.jnr:jffi::native:)
BuildRequires:  mvn(com.github.jnr:jnr-x86asm)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.ow2.asm:asm)
BuildRequires:  mvn(org.ow2.asm:asm-analysis)
BuildRequires:  mvn(org.ow2.asm:asm-commons)
BuildRequires:  mvn(org.ow2.asm:asm-tree)
BuildRequires:  mvn(org.ow2.asm:asm-util)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

# don't obsolete/provide jaffl, gradle is using both jaffl and jnr-ffi...

%description
An abstracted interface to invoking native functions from java

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# remove all builtin jars
find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

# Unnecessary for RPM builds
%pom_remove_plugin ":maven-javadoc-plugin"

# don't fail on unused parameters... (TODO: send patch upstream)
sed -i 's|-Werror||' libtest/GNUmakefile

%build
%mvn_build -f -- -Dasm.version=7.0

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE




%changelog
* Wed Dec 23 2020 neoclust <neoclust> 2.1.8-4.mga8
+ Revision: 1663029
- Disable test for now

* Sat Feb 15 2020 umeabot <umeabot> 2.1.8-3.mga8
+ Revision: 1527637
- Mageia 8 Mass Rebuild

* Fri Jul 19 2019 daviddavid <daviddavid> 2.1.8-2.mga8
+ Revision: 1422759
- Set the required version of ASM

* Sat Dec 22 2018 daviddavid <daviddavid> 2.1.8-1.mga7
+ Revision: 1344383
- Update to latest upstream release 2.1.8

* Mon Dec 03 2018 daviddavid <daviddavid> 2.1.6-1.mga7
+ Revision: 1337863
- new version: 2.1.6 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 2.0.9-3.mga7
+ Revision: 1262290
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 2.0.9-2.mga6
+ Revision: 1103352
- New version 2.0.9

* Tue May 10 2016 daviddavid <daviddavid> 2.0.6-1.mga6
+ Revision: 1012188
- Update to upstream 2.0.6 release
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.0.4-2.mga6
+ Revision: 976459
- First rebuild of the java stack
- sync package jnr-ffi with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 0.7.10-8.mga5
+ Revision: 807162
- rebuild for new sonatype-oss-parent

* Wed Oct 15 2014 umeabot <umeabot> 0.7.10-7.mga5
+ Revision: 742456
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.7.10-5.mga4
+ Revision: 538024
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 dmorgan <dmorgan> 0.7.10-4.mga4
+ Revision: 488279
- Build with xmvn
- New version

* Sat Jan 12 2013 umeabot <umeabot> 0.5.10-2.mga3
+ Revision: 355490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 0.5.10-1.mga3
+ Revision: 290737
- imported package jnr-ffi


* Tue Aug 23 2011 Mo Morsi <mmorsi@redhat.com> - 0.5.10-3
- more updates to conform to fedora guidelines

* Wed Aug 10 2011 Mo Morsi <mmorsi@redhat.com> - 0.5.10-2
- updated to conform to fedora guidelines

* Tue Aug 02 2011 Mo Morsi <mmorsi@redhat.com> - 0.5.10-1
- initial package
